/*
* Formulari 'userSettings'
*/
/* Grid pàgina */
.grid-container {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: 5vw auto auto;
}

.grid-settings {
    grid-area: 2/2 / 2/3;
}

/* Estructura Grid settings */
.grid-settings {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto auto auto;
    row-gap: 2vw;
}

/* Row title */
.grid-title {
    grid-area: 1/1 / 1/1;
    opacity: 0.6;
    animation: appear 2s ease forwards 0.5s;
    color: var(--main-text2);
}

/* Row image */
.grid-imgForm {
    grid-area: 2/1 / 2/1;
}

.grid-imgForm {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 15vw auto auto;
    row-gap: 1vw;
}

/* col image */
.grid-image {
    grid-area: 1/1 / 1/1;
}

/* Row form */
.grid-formSettings {
    grid-area: 3/1 / 3/1;
}

/* Característiques Elements */
.grid-imgForm {
    text-align: center;
    background-color: var(--main-background-clear2);
    border-radius: 1vw 1vw 1vw 1vw;
    box-shadow: -0.5vw 0.5vw 1vw var(--main-shadow2-color);;
    padding: 5vw 2.5vw;
}

.grid-image img {
    height: 15vw;
    width: 15vw;
    border-radius: 50%;
    opacity: 0.6;
    animation: appear 2s ease forwards 0.5s;
}

.grid-formSettings {
    padding: 5vw 2.5vw;
    background-color: var(--main-background-clear2);
    border-radius: 1vw 1vw 1vw 1vw;
    box-shadow: -0.5vw 0.5vw 1vw var(--main-shadow2-color);
}

.grid-settings {
    margin: auto;
    padding-top: 5vw;
}

.grid-bottom p {
    padding: 2vw 0vw;
}

.grid-bottom button + button {
    float: right;
}

#formSettings > input,
#formSettings > label {
    width: 100%;
    display: block;
    padding: 0.5vw;
    color: var(--main-text2);
}

#formSettings > label,
#formSettings > label:nth-child(3):not() {
    padding-top: 2vw;
}

.activePswd {
    padding: 5vw 0.5vw 1vw 0.5vw;
    color: var(--main-terciaryText-color);
}

.activePswd > div {
    float: right;
}

input:not(.searchbar),
input:not(.searchbar):focus {
    border: 0.1vw solid #999;
    box-sizing: border-box;
    border-radius: 0.75vw;
    box-shadow: 0.1vw 0.1vw 0.1vw 0.1vw rgba(48, 47, 47, 0.25) inset;
}

/* button color */
#formSettings button,
#formChange button {
    background: var(--main-background-dark);
    -webkit-transition: 0.15s all ease-in-out;
    -o-transition: 0.15s all ease-in-out;
    transition: 0.15s all ease-in-out;
}

#formSettings button:hover,
#formChange button:hover {
    background: var(--main-background-dark);
    cursor: pointer;
}

/* Mssg Error */
.mssgError,
.mssgErrorPhoto {
    visibility: hidden;
    color: #f13f39;
    padding-top: 1vw;
}

/* Toggle switch */
.switchPswd {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
}

.switchPswd input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 1px;
    bottom: 1px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input:checked + .slider {
    background-color: var(--main-forthText-color);
}

input:focus + .slider {
    box-shadow: 0.1vw 0.1vw 0.1vw 0.1vw rgba(48, 47, 47, 0.25) inset;
}

input:checked + .slider:before {
    -webkit-transform: translateX(20px);
    -ms-transform: translateX(20px);
    transform: translateX(20px);
}

/* Rounded toggleswitch */
.slider.roundSwitch {
    border-radius: 20px;
}

.slider.roundSwitch:before {
    border-radius: 10px;
}

/* Pàgina profile */
.profile h3 {
    font-weight: 300;
}
.profile p {
    padding-top: 2vw;
    padding-bottom: 0.5vw;
}
.profile h3:last-child {
    padding-bottom: 3vw;
}
.grid-bottom a {
  color: var(--main-firstText-color);
}
.grid-bottom a:hover{
  opacity:0.8;
}


/* Animacions */
@keyframes appear {
    to {
        opacity: 1;
    }
}


/*
* Canvi de tamany pantalla
*/
@media (max-width: 700px) {
    /* Característiques */
  .grid-container {
        margin-top: 30px;
        grid-template-rows: 10vw auto auto;
        grid-template-columns: auto 94vw auto;
    }
  .grid-imgForm {
    width: 94vw;
    }
  input:not(.searchbar), input:not(.searchbar):focus {
    width: 88vw;
    }
}
